header.header {
  @media screen and (max-width: 1199px){
    background-color: $main-color;
    .header-wrapper{
      min-height:70px !important;
      padding: 10px 0;
    }
  }
  .header-wrapper{
    padding: 20px 0;
    width: 100%;
    background-color: $color-title;
    z-index: 999;
  }

  .logo{
    padding: 10px 0;
    margin: 0;
    img{
      width: 100%;
      height: auto;
      max-width: 267px;

    }
  }
  .open-menu-mobile{
    float: right;
    color: #fff;
    font-size: 38px;
  }
  .open-menu-mobile{
    .d-flex{
      justify-content: flex-end;
    }

  }
  .main-menu{
    display: flex;
    flex-direction: column;
    justify-content: center;
    height: 100%;


  }
  .main-navigation{
    text-align: right;
    position: relative;
    .close-menu-mobile{
      position: absolute;
      right: 15px;
      top: 20px;
      z-index: 999;
      i{
        width: auto;
        height: auto;
        border: none;
        &::before{
          content: '';
          display: block;
          margin: auto;
          width: 17px;
          border-bottom: solid 2px #2e2e2e;
          transform: rotate(45deg);
        }
        &::after{
          content: '';
          display: block;
          margin: auto;
          width: 17px;
          border-bottom: solid 2px #2e2e2e;
          transform: rotate(-45deg);
          margin-top: -2px;
        }
      }
    }
    .mega-menu{
      display: inline-block;
      vertical-align: middle;
      text-align: left;
      padding-left: 0;
      margin: 0;
      z-index: 900;
      list-style: none;
      li{
        display: inline-block;
        list-style: none;
        position: relative;
        a{
          display: block;
          font-size: 16px;
          font-weight: bold;
          color: #fff;
          text-transform: uppercase;
          /* margin: 0 23px 0 20px; */
          text-decoration: none;
          /* border-bottom: 6px solid transparent; */
          padding: 10px 23px;
          position: relative;
          &:hover{
            color: $color-dots;
            &::before{
              transform: scale(1);
              max-width: 100%;
            }

          }
          &::before{
            left: 23px;
            content: '';
            position: absolute;
            right: 23px;
            height: 6px;
            background: $color-dots;
            bottom: 3px;
            transition: all 0.3s;
            transform: scale(0);
          }
        }

        &::before{
          content: url(../images/icon-menu.png);
          color: #fff;
          font-size: 14px;
          position: absolute;
          top: 50%;
          right: 0px;
          -webkit-transform: translate(0, -50%);
          -ms-transform: translate(0, -50%);
          transform: translate(0, -50%);
          line-height: 3px;
          vertical-align: middle;
          left: 0%;
          @media screen and (max-width: 1199px){
            content: '';
          }
        }
        &:last-child{
          a{
            padding-right: 0;
          }
          &::after{
            display: none;
          }
        }
      }
    }
  }
  @media screen and (max-width: 1199px){
    .main-navigation {
      position: fixed;
      top: 0;
      left: 0;
      right: 0;
      bottom: 0;
      background: #fff;
      z-index: 999999;
      overflow: auto;
      padding-top: 40px;
      transition: all 0.3s;
      visibility: hidden;
      opacity: 0;
      .mega-menu {
        display: block;
        li{
          display: block;
          text-align: center;
          padding: 0;
          border-top:1px solid #aaa;
          a{
            display: inline-block;
            padding: 10px;
            color: #000;
          }
          &::after{
            display: none;
          }
        }
      }
      &.open{
        opacity: 1;
        visibility: visible;
      }
    }
    &.adminbar{
      .main-navigation{
        top: 32px;
        @media screen and (max-width: 782px){
          top: 0;
        }
      }
    }
  }
  &.sticky{
    .header-wrapper{
      padding: 0;
      position: fixed;
      top: 0;
      left: 0;
      right: 0;
      z-index: 9999;
      .logo{
        padding: 10px 0;
        margin: 0;
      }
    }
    &.adminbar{
      .header-wrapper{
        top: 32px;
        @media screen and (max-width: 782px){
          top: 0;
        }
      }
    }
  }
}